AUTOOPTIMISER(1)

NAME
autooptimiser - Optimize image positions

SYNOPSIS
autooptimiser [options] project.pto

(- can be specified to read the project from stdio.)

DESCRIPTION
autooptimiser works similarly to PToptimizer but with extra command-line options.

It is also different in that PToptimizer appends its output onto the input file in the form of 'o' lines which need further processing. autooptimiser simply updates the project and writes it to a new file.

OPTIONS

-o file.pto
    Output file. If omitted, stdout is used.

Optimisation options (if not specified, no optimisation takes place):

-a  Auto align mode, includes various optimisation stages, depending on the amount and distribution of the control points

-p  Pairwise optimisation of yaw, pitch and roll, starting from first image

-n  Optimize parameters specified in script file (like PToptimizer).

Post-processing options:

-l  Level horizon (works best for horizontal panoramas)

-s  Automatically select a suitable output projection and size

Other options:

-q  Quiet operation (no progress is reported)

-v HFOV
    Specify horizontal field of view of input images. Used if the .pto file contains invalid HFOV values (autopano-SIFT writes .pto files with invalid HFOV)

When -a, -l, and -s options are used together, an operation similar to the one of the "Align" button in hugin is performed.

AUTHORS
Written by Pablo d'Angelo. Also contains contributions from Douglas Wilkins, Ippei Ukai, Ed Halley, Bruno Postle, Gerry Patterson and Brent Townshend.

This man page was written by Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> and is licensed under the same terms as the hugin package itself.